Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Clean install 2019-12 won't update
Clean install 2019-12 won't update [message #1843963] Wed, 25 August 2021 16:07 Go to next message
Anne Ranch is currently offline Anne RanchFriend
Messages: 57
Registered: October 2020
Member
Using
sudo snap install --classic eclipse

installs 2019-12

Using another method , sorry I did not document it , I managed to install 2021-06 0n different OS .

Now I am trying to "update software" and cannot get pass this error:

An error occurred while uninstalling
session context was:(profile=epp.package.java, phase=org.eclipse.equinox.internal.p2.engine.phases.Uninstall, operand=[R]org.eclipse.rcp_root 4.14.0.v20191210-0610 --> null, action=org.eclipse.equinox.internal.p2.touchpoint.natives.actions.CleanupzipAction).
Backup of file /snap/eclipse/48/readme/readme_eclipse.html failed.
File that was copied to backup could not be deleted: /snap/eclipse/48/readme/readme_eclipse.html


I am not in favor to mess with backup.
EDIT
Against my better judgement - I did check the backup file .
There are NO FILES in /snap/eclipse/48 hence NOTHING to delete.....

Would deleting the 2019 and finding out where / how to download / install 2021-06 be better way to resolve this ?
I am open to suggestion , perhaps hint how load the lates Eclipse release .





[Updated on: Wed, 25 August 2021 16:46]

Report message to a moderator

Re: Clean install 2019-12 won't update [message #1843972 is a reply to message #1843963] Wed, 25 August 2021 20:01 Go to previous message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 4169
Registered: July 2009
Senior Member

If you're using a snap package, you'll need to speak with whomever packaged it that way for you. Eclipse.org
doesn't produce them. I suspect you're just supposed to get a newer version of the snap package instead of
using the built-in updater.


Nitin Dahyabhai
Eclipse Web Tools Platform
Previous Topic:Embedded Eclipse - software update unexpected message
Next Topic: FrameworkEvent ERROR
Goto Forum:
  


Current Time: Fri Jan 28 23:13:41 GMT 2022

Powered by FUDForum. Page generated in 0.03307 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top